Subject: Re: linux-next: manual merge of the net tree with the infiniband tree

From: David Miller <[email-masked]>
Date: Mon, 23 Mar 2009 12:28:43 -0700 (PDT)

From: Roland Dreier <[email-masked]>
Date: Mon, 23 Mar 2009 09:36:34 -0700

> > Today's linux-next merge of the net tree got a conflict in
> > drivers/infiniband/ulp/ipoib/ipoib_main.c between commit
> > 574d30e9fd416037fc85bcbb148074214aee50e1 ("IPoIB: Convert to
> > net_device_ops") from the infiniband tree and commit
> > fe8114e8e1d15ba07ddcaebc4741957a1546f307 ("infiniband: convert ipoib to
> > net_device_ops") from the net tree.
> > 
> > Again different versions of the same change.  I used the net tree version.
> 
> I'll drop the netdev-ops topic branch from my tree and assume that
> Stephen's newer patches are the right ones.  Not sure why Stephen sent
> two different versions to two different trees but oh well...

I think because he works purely againt net-next-2.6 and he really
wanted to add the config option without risk of breaking allmodconfig
on x86.

That's only possible if all the netdev_ops conversions go into
net-next-2.6 as I explained.

Anyways, thanks Roland, I appreciate you helping us resolve this.